HDF: java/src/jni/hdfr24Imp.h File Reference

Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.4.0 API Reference |

Loading...
Searching...
No Matches
hdfr24Imp.h File Reference
`#include <jni.h>`

## Functions
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_DF24getdims (JNIEnv *env, jclass clss, jstring filename, jintArray argv)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_DF24getimage (JNIEnv *env, jclass clss, jstring filename, jbyteArray image, jint width, jint height)
JNIEXPORT jshort JNICALL | Java_hdf_hdflib_HDFLibrary_DF24lastref (JNIEnv *env, jclass clss)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_DF24readref (JNIEnv *env, jclass clss, jstring filename, jshort ref)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_DF24restart (JNIEnv *env, jclass clss)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_DF24nimages (JNIEnv *env, jclass clss, jstring hdfFile)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_DF24reqil (JNIEnv *env, jclass clss, jint interlace)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_DF24addimage (JNIEnv *env, jclass clss, jstring filename, jbyteArray image, jint width, jint height)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_DF24putimage (JNIEnv *env, jclass clss, jstring filename, jbyteArray image, jint width, jint height)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_DF24setcompress (JNIEnv *env, jclass clss, jint type, jobject cinfo)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_DF24setdims (JNIEnv *env, jclass clss, jint width, jint height)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_DF24setil (JNIEnv *env, jclass clss, jint il)

## Function Documentation

## ◆ Java_hdf_hdflib_HDFLibrary_DF24addimage()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_DF24addimage | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jstring | filename,
|  | jbyteArray | image,
|  | jint | width,
|  | jint | height )

## ◆ Java_hdf_hdflib_HDFLibrary_DF24getdims()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_DF24getdims | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jstring | filename,
|  | jintArray | argv )

## ◆ Java_hdf_hdflib_HDFLibrary_DF24getimage()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_DF24getimage | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jstring | filename,
|  | jbyteArray | image,
|  | jint | width,
|  | jint | height )

## ◆ Java_hdf_hdflib_HDFLibrary_DF24lastref()

JNIEXPORT jshort JNICALL Java_hdf_hdflib_HDFLibrary_DF24lastref | ( | JNIEnv * | env,
|  | jclass | clss )

## ◆ Java_hdf_hdflib_HDFLibrary_DF24nimages()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_DF24nimages | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jstring | hdfFile )

## ◆ Java_hdf_hdflib_HDFLibrary_DF24putimage()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_DF24putimage | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jstring | filename,
|  | jbyteArray | image,
|  | jint | width,
|  | jint | height )

## ◆ Java_hdf_hdflib_HDFLibrary_DF24readref()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_DF24readref | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jstring | filename,
|  | jshort | ref )

## ◆ Java_hdf_hdflib_HDFLibrary_DF24reqil()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_DF24reqil | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jint | interlace )

## ◆ Java_hdf_hdflib_HDFLibrary_DF24restart()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_DF24restart | ( | JNIEnv * | env,
|  | jclass | clss )

## ◆ Java_hdf_hdflib_HDFLibrary_DF24setcompress()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_DF24setcompress | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jint | type,
|  | jobject | cinfo )

## ◆ Java_hdf_hdflib_HDFLibrary_DF24setdims()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_DF24setdims | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jint | width,
|  | jint | height )

## ◆ Java_hdf_hdflib_HDFLibrary_DF24setil()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_DF24setil | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jint | il )